Page MenuHomeFreeBSD

devel/libconfig: update to 1.7.2
ClosedPublic

Authored by fernape on Jul 25 2018, 5:24 PM.

Details

Summary

Triggered by PR 229961

  • Change to USE_GH
  • Bump PORTREVISION of dependant ports.

Maintainer timeout on August 5th.

Test Plan
  • portlint -AC OK
  • poudriere builds for {10.4,11.1}{amd64,i386}, 12i386 OK
  • poudriere build for dependant port audio/umurmur in 10.4amd64 OK:
  • run test in 10.4 amd64 for audio/umurmur

It picks up the correct library:

ldd umurmurd
umurmurd:
               libssl.so.7 => /usr/lib/libssl.so.7 (0x80083f000)
               libcrypto.so.7 => /lib/libcrypto.so.7 (0x800aab000)
               libconfig.so.11 => /usr/local/lib/libconfig.so.11 (0x800ea3000)
               libprotobuf-c.so.1 => /usr/local/lib/libprotobuf-c.so.1 (0x8010af000)
               libc.so.7 => /lib/libc.so.7 (0x8012b9000)

Tested with config files:

/usr/local/etc/umurmur/umurmur.conf
/usr/local/etc/umurmur/umurmur.conf.sample

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

fernape created this revision.Jul 25 2018, 5:24 PM
tcberner added inline comments.Aug 2 2018, 4:55 AM
devel/libconfig/Makefile
14 ↗(On Diff #45835)

^ CONFLICTS looks to be in the wrong spot

fernape added inline comments.Aug 2 2018, 4:20 PM
devel/libconfig/Makefile
14 ↗(On Diff #45835)

Where exactly? I had a look at databases/qof (mentioned as an example in the documentation) and its CONFLICTS_INSTALL is right below LICENSE (no portlint complaints in that place).

tcberner added inline comments.Aug 2 2018, 6:12 PM
devel/libconfig/Makefile
14 ↗(On Diff #45835)

portlint is not perfect -- and the documentation not quit clear -- but I would say that between the dependency block and uses is wrong :)

I would say it belongs to 15.9 or 15.11, some I would put it between GH_ACCOUNT and INFO. -- but @mat is the best judge on these things.

mat added inline comments.Aug 3 2018, 10:08 AM
devel/libconfig/Makefile
14 ↗(On Diff #45835)

portlint is not the reference. It is a static lint tool that is almost not always wrong.

The reference is https://www.freebsd.org/doc/en/books/porters-handbook/porting-order.html and I agree, it's a standard variable, so 15.9.

fernape updated this revision to Diff 46237.Aug 3 2018, 3:25 PM

Properly place CONFLICTS

fernape marked an inline comment as done.Aug 3 2018, 3:26 PM
fernape added inline comments.
devel/libconfig/Makefile
14 ↗(On Diff #45835)

Thanks for the input :-)

fernape updated this revision to Diff 46239.Aug 3 2018, 3:33 PM
fernape marked an inline comment as done.

Fix PORTREVISION for net-im/tox

tcberner accepted this revision.Aug 4 2018, 10:10 AM
This revision is now accepted and ready to land.Aug 4 2018, 10:10 AM
This revision was automatically updated to reflect the committed changes.